# Delete image

{% hint style="info" %}
**Before getting started:** You will need to [create your API key](/api/create-api-key.md).
{% endhint %}

## Delete image from Mattermix and Google CDN

<mark style="color:red;">`DELETE`</mark> `https://mtmx.io/v1/image/:uid`

The `uid` for the image can be found in the image URL. For example, if the image URL is `https://cdn.mattermix.com/images/620d5489e8b565e74ce552c1/484ec22d-bfc9-4fc8-b764-6cf8d9b91f55.png` the `uid` is `484ec22d-bfc9-4fc8-b764-6cf8d9b91f55`.

#### Headers

| Name                                            | Type   | Description           |
| ----------------------------------------------- | ------ | --------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | `Bearer YOUR-API-KEY` |

{% tabs %}
{% tab title="202: Accepted Export created successfully" %}

```javascript
{
    "success": true,
}
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized request" %}

```javascript
{
    "success": false,
    "statusCode": 401,
    "message": "Please provide a valid API key."
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal server error" %}

```javascript
{
    "success": false,
    "statusCode": 500,
    "message": "Server error."
}
```

{% endtab %}

{% tab title="404: Not Found Image not found" %}

```javascript
{
    "success": false,
    "statusCode": 404,
    "message": "Image with URL not found."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mattermix.com/api/delete-image.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
